/*************************************************************************/
/*************************************************************************/
/*                                                                       */
/*  File Name : AirMutation.h                                            */
/*                                                                       */
/*       Date : May, 1997                                                */
/* Updated at : December 6, 1997                                         */
/*                                                                       */
/*     Author : H. Timucin OZDEMIR                                       */
/*                                                                       */
/*************************************************************************/
/*  
   Mutation operator for Air Crew Scheduling Problem
*/
/*************************************************************************/

#ifndef _AirMutation_h
#define _AirMutation_h

#include <MutationOperator.h>
#include <Chromosomes.h>
#include "AirChromosomes.h"

class AirMutation : public MutationOperator
{
   public :
      AirMutation();
      virtual Chromosomes * apply(Chromosomes *_or);
      ChromosomesBag apply(Chromosomes *_or, Chromosomes *, float);
      virtual ~AirMutation();

   private:
   
}; // end of Class AirMutation

#endif
